<script>
    var requireJS = [];

    loadJS(requireJS, "js/common.js");
    loadJS(requireJS, "js/views/member-transfers.js");

</script>


<div class="page-title">
    <div class="title_left">
        <h3 th:text="#{transferOfFunds}">Transferencias de fondos</h3>
    </div>
</div>
<div class="clearfix"></div>

<div class="row">
    <div class="col-md-12 col-sm-12 col-xs-12">
        <div class="x_panel">
            <div class="x_title">
                <h6 th:text="#{fromHereTransferFunds}">Desde aqui puedes transferir fondos a otros afiliados.</h6>
                <span style="font-size: 17px">Saldo de mi cuenta:</span>&nbsp;<span style="font-size: 16px" th:text="${total.getEffectiveText()}"></span>
                <div class="clearfix"></div>
            </div>

            <div class="x_content">
                <div th:if="${total.effective <= 0}">
                    <h4 th:text="#{withoutFunds}">No dispone de fondos suficientes para transferir.
                </div>
                <div th:if="${total.effective > 0}">
                    <form class="form">
                        <div class="form-group">
                            <label class="col-md-3 col-form-label" th:text="#{recipientData}">Username o Correo electrónico del destinatario:</label>
                            <input  type="text" name="recipient" id="recipient" class="form-control-sm"/>
                            <button class="btn btn-xs btn-success" style="margin-bottom: 0px !important;" id="search-recipient"><i class="fa fa-search"></i></button>
                        </div>
                        <br/>
                        <div class="form-group">
                            <label class="col-md-3 col-form-label">&nbsp;</label>
                            <small class="well" id="memberName"></small>
                            <input  type="hidden" name="recipientName" id="recipientName" />  
                        </div>
                        <br/>
                        <div class="form-group">
                            <label class="col-md-3 col-form-label" th:text="#{transferAmount}">Monto a transferir:</label>
                            <input  type="text" name="amount" id="amount" class="form-control-sm"/><br/>                        
                        </div>
                        <div class="form-group">
                            <label class="col-md-3 col-form-label"></label>
                            <small th:text="#{WithoutThousandsSeparator}">Sin separador de miles, punto indica decimales ej: 100000.50 - 55.23 - 9000  </small>
                        </div>
                        <div class="form-group">
                            <label class="col-md-3 col-form-label"></label>
                            <button class="btn btn-success" disabled="disabled" id="transfer-button"><i class="fa fa-arrow-right"></i>&nbsp;<span th:text="#{toTransfer}"></span></button>
                        </div>
                    </form>                    
                </div>
            </div>
        </div>
        <!--<div th:replace="frags/pagination :: paginationbar"></div>-->
    </div>
</div>

<div class="row">
    <div class="col-md-12 col-sm-12 col-xs-12">
        <div class="x_panel">
            <div class="x_title">
                <h6 th:text="#{transfersMade}">Transferencias realizadas.</h6>
                <div class="clearfix"></div>
            </div>
            <div class="x_content">
                <div class="table-responsive">
                    <table class="table table-condensed table-striped jambo_table">
                        <thead>
                            <tr class="headings">
                                <th>#</th>
                                <th th:text="#{date}"></th>
                                <th th:text="#{amount}"></th>
                                <th th:text="#{description}"></th>
                                <th th:text="#{type}"></th>
                                <th th:text="#{status}"></th>
                                <th th:text="#{effective}"></th>
                                <th th:text="#{actions}"></th>
                            </tr>
                        </thead>
                        <tbody>
                            <tr th:each="item : ${page.content}">
                                <td th:text="${item.id}"></td>
                                <td th:text="${#dates.format(item.creationDate, 'dd/MM/yyyy')}" th:title="${#dates.format(item.creationDate, 'dd/MM/yyyy HH:mm:ss')}"></td>
                                <td th:text="${item.getAmountText()}"></td>
                                <td th:text="${item.description}"></td>
                                <td>
                                    <span>
                                        <div th:switch="${item.type}">
                                            <span th:case="kit" class="label label-info" th:text="#{${item.type}}">Kit</span>
                                            <span th:case="product" class="label label-info" th:text="#{${item.type}}">Producto</span>
                                            <span th:case="service" class="label label-warning" th:text="#{${item.type}}">Servicio</span>
                                            <span th:case="store" class="label label-warning" th:text="#{${item.type}}">Store</span>
                                            <span th:case="speed" class="label label-default" th:text="#{${item.type}}">Speed</span>
                                            <span th:case="discount" class="label label-danger" th:text="#{${item.type}}">Descuento</span>
                                            <span th:case="withdrawal" class="label label-danger" th:text="#{${item.type}}">Retiro</span>
                                            <span th:case="append" class="label label-success" th:text="#{${item.type}}">Crédito</span>
                                        </div>
                                    </span>
                                </td>

                                <td th:text="#{${item.status}}" th:title="${item.statusText}"></td>
                                <td>
                                    <span class="label label-success" th:if="${item.effective}" th:text="#{yes}">Si</span>
                                    <span class="label label-danger" th:if="${!item.effective}" th:text="#{no}">No</span>
                                </td>
                                <td>
                                    <!--<i class="fa fa-eye action-button" id="view-member" th:attr="data-id=${item.id},data-name=${item.toString()}"></i>-->
                                </td>
                            </tr>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
        <div th:replace="frags/pagination :: paginationbar"></div>
    </div>
</div>

